// 指示灯驱动
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-21

#include "includes.h"

// 模块所用管脚初始化
void driver_led_gpio_init()
{
    GPIO_InitTypeDef stGpio = {0};

    RCC_AHB1PeriphClockCmd(DRIVER_LED_GPIO_CLK, ENABLE);
    stGpio.GPIO_Mode = GPIO_Mode_OUT;
    stGpio.GPIO_OType = GPIO_OType_PP;
    stGpio.GPIO_Speed = GPIO_Speed_50MHz;
    stGpio.GPIO_PuPd = GPIO_PuPd_NOPULL;
    stGpio.GPIO_Pin = DRIVER_LED_GPIO_PIN;
    GPIO_Init(DRIVER_LED_GPIO_PORT, &stGpio);

    GPIO_WriteBit(DRIVER_LED_GPIO_PORT, DRIVER_LED_GPIO_PIN, Bit_RESET); // 关灯
}

// bySwitch:0：关闭，1：打开
void driver_led_switch(uint8 bySwitch)
{
    if (!bySwitch)
    {
        GPIO_WriteBit(DRIVER_LED_GPIO_PORT, DRIVER_LED_GPIO_PIN, Bit_RESET); // 关灯
    }
    else
    {
        GPIO_WriteBit(DRIVER_LED_GPIO_PORT, DRIVER_LED_GPIO_PIN, Bit_SET); // 开灯
    }
}